SnovaParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.snova

## Class SnovaParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.snova.SnovaParameters

-     public class SnovaParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SnovaParameters` | `SNOVA_24_5_4_ESK`
    `static SnovaParameters` | `SNOVA_24_5_4_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_24_5_4_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_24_5_4_SSK`
    `static SnovaParameters` | `SNOVA_24_5_5_ESK`
    `static SnovaParameters` | `SNOVA_24_5_5_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_24_5_5_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_24_5_5_SSK`
    `static SnovaParameters` | `SNOVA_25_8_3_ESK`
    `static SnovaParameters` | `SNOVA_25_8_3_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_25_8_3_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_25_8_3_SSK`
    `static SnovaParameters` | `SNOVA_29_6_5_ESK`
    `static SnovaParameters` | `SNOVA_29_6_5_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_29_6_5_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_29_6_5_SSK`
    `static SnovaParameters` | `SNOVA_37_17_2_ESK`
    `static SnovaParameters` | `SNOVA_37_17_2_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_37_17_2_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_37_17_2_SSK`
    `static SnovaParameters` | `SNOVA_37_8_4_ESK`
    `static SnovaParameters` | `SNOVA_37_8_4_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_37_8_4_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_37_8_4_SSK`
    `static SnovaParameters` | `SNOVA_49_11_3_ESK`
    `static SnovaParameters` | `SNOVA_49_11_3_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_49_11_3_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_49_11_3_SSK`
    `static SnovaParameters` | `SNOVA_56_25_2_ESK`
    `static SnovaParameters` | `SNOVA_56_25_2_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_56_25_2_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_56_25_2_SSK`
    `static SnovaParameters` | `SNOVA_60_10_4_ESK`
    `static SnovaParameters` | `SNOVA_60_10_4_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_60_10_4_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_60_10_4_SSK`
    `static SnovaParameters` | `SNOVA_66_15_3_ESK`
    `static SnovaParameters` | `SNOVA_66_15_3_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_66_15_3_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_66_15_3_SSK`
    `static SnovaParameters` | `SNOVA_75_33_2_ESK`
    `static SnovaParameters` | `SNOVA_75_33_2_SHAKE_ESK`
    `static SnovaParameters` | `SNOVA_75_33_2_SHAKE_SSK`
    `static SnovaParameters` | `SNOVA_75_33_2_SSK`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAlpha()`
    `int` | `getL()`
    `int` | `getLsq()`
    `int` | `getM()`
    `int` | `getN()`
    `java.lang.String` | `getName()`
    `int` | `getO()`
    `int` | `getPrivateKeyLength()`
    `int` | `getPublicKeyLength()`
    `int` | `getSaltLength()`
    `int` | `getV()`
    `boolean` | `isPkExpandShake()`
    `boolean` | `isSkIsSeed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SNOVA_24_5_4_SSK

          public static final SnovaParameters SNOVA_24_5_4_SSK

    - #### SNOVA_24_5_4_ESK

          public static final SnovaParameters SNOVA_24_5_4_ESK

    - #### SNOVA_24_5_4_SHAKE_SSK

          public static final SnovaParameters SNOVA_24_5_4_SHAKE_SSK

    - #### SNOVA_24_5_4_SHAKE_ESK

          public static final SnovaParameters SNOVA_24_5_4_SHAKE_ESK

    - #### SNOVA_24_5_5_SSK

          public static final SnovaParameters SNOVA_24_5_5_SSK

    - #### SNOVA_24_5_5_ESK

          public static final SnovaParameters SNOVA_24_5_5_ESK

    - #### SNOVA_24_5_5_SHAKE_SSK

          public static final SnovaParameters SNOVA_24_5_5_SHAKE_SSK

    - #### SNOVA_24_5_5_SHAKE_ESK

          public static final SnovaParameters SNOVA_24_5_5_SHAKE_ESK

    - #### SNOVA_25_8_3_SSK

          public static final SnovaParameters SNOVA_25_8_3_SSK

    - #### SNOVA_25_8_3_ESK

          public static final SnovaParameters SNOVA_25_8_3_ESK

    - #### SNOVA_25_8_3_SHAKE_SSK

          public static final SnovaParameters SNOVA_25_8_3_SHAKE_SSK

    - #### SNOVA_25_8_3_SHAKE_ESK

          public static final SnovaParameters SNOVA_25_8_3_SHAKE_ESK

    - #### SNOVA_29_6_5_SSK

          public static final SnovaParameters SNOVA_29_6_5_SSK

    - #### SNOVA_29_6_5_ESK

          public static final SnovaParameters SNOVA_29_6_5_ESK

    - #### SNOVA_29_6_5_SHAKE_SSK

          public static final SnovaParameters SNOVA_29_6_5_SHAKE_SSK

    - #### SNOVA_29_6_5_SHAKE_ESK

          public static final SnovaParameters SNOVA_29_6_5_SHAKE_ESK

    - #### SNOVA_37_8_4_SSK

          public static final SnovaParameters SNOVA_37_8_4_SSK

    - #### SNOVA_37_8_4_ESK

          public static final SnovaParameters SNOVA_37_8_4_ESK

    - #### SNOVA_37_8_4_SHAKE_SSK

          public static final SnovaParameters SNOVA_37_8_4_SHAKE_SSK

    - #### SNOVA_37_8_4_SHAKE_ESK

          public static final SnovaParameters SNOVA_37_8_4_SHAKE_ESK

    - #### SNOVA_37_17_2_SSK

          public static final SnovaParameters SNOVA_37_17_2_SSK

    - #### SNOVA_37_17_2_ESK

          public static final SnovaParameters SNOVA_37_17_2_ESK

    - #### SNOVA_37_17_2_SHAKE_SSK

          public static final SnovaParameters SNOVA_37_17_2_SHAKE_SSK

    - #### SNOVA_37_17_2_SHAKE_ESK

          public static final SnovaParameters SNOVA_37_17_2_SHAKE_ESK

    - #### SNOVA_49_11_3_SSK

          public static final SnovaParameters SNOVA_49_11_3_SSK

    - #### SNOVA_49_11_3_ESK

          public static final SnovaParameters SNOVA_49_11_3_ESK

    - #### SNOVA_49_11_3_SHAKE_SSK

          public static final SnovaParameters SNOVA_49_11_3_SHAKE_SSK

    - #### SNOVA_49_11_3_SHAKE_ESK

          public static final SnovaParameters SNOVA_49_11_3_SHAKE_ESK

    - #### SNOVA_56_25_2_SSK

          public static final SnovaParameters SNOVA_56_25_2_SSK

    - #### SNOVA_56_25_2_ESK

          public static final SnovaParameters SNOVA_56_25_2_ESK

    - #### SNOVA_56_25_2_SHAKE_SSK

          public static final SnovaParameters SNOVA_56_25_2_SHAKE_SSK

    - #### SNOVA_56_25_2_SHAKE_ESK

          public static final SnovaParameters SNOVA_56_25_2_SHAKE_ESK

    - #### SNOVA_60_10_4_SSK

          public static final SnovaParameters SNOVA_60_10_4_SSK

    - #### SNOVA_60_10_4_ESK

          public static final SnovaParameters SNOVA_60_10_4_ESK

    - #### SNOVA_60_10_4_SHAKE_SSK

          public static final SnovaParameters SNOVA_60_10_4_SHAKE_SSK

    - #### SNOVA_60_10_4_SHAKE_ESK

          public static final SnovaParameters SNOVA_60_10_4_SHAKE_ESK

    - #### SNOVA_66_15_3_SSK

          public static final SnovaParameters SNOVA_66_15_3_SSK

    - #### SNOVA_66_15_3_ESK

          public static final SnovaParameters SNOVA_66_15_3_ESK

    - #### SNOVA_66_15_3_SHAKE_SSK

          public static final SnovaParameters SNOVA_66_15_3_SHAKE_SSK

    - #### SNOVA_66_15_3_SHAKE_ESK

          public static final SnovaParameters SNOVA_66_15_3_SHAKE_ESK

    - #### SNOVA_75_33_2_SSK

          public static final SnovaParameters SNOVA_75_33_2_SSK

    - #### SNOVA_75_33_2_ESK

          public static final SnovaParameters SNOVA_75_33_2_ESK

    - #### SNOVA_75_33_2_SHAKE_SSK

          public static final SnovaParameters SNOVA_75_33_2_SHAKE_SSK

    - #### SNOVA_75_33_2_SHAKE_ESK

          public static final SnovaParameters SNOVA_75_33_2_SHAKE_ESK

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getV

          public int getV()

    - #### getO

          public int getO()

    - #### getL

          public int getL()

    - #### isSkIsSeed

          public boolean isSkIsSeed()

    - #### isPkExpandShake

          public boolean isPkExpandShake()

    - #### getM

          public int getM()

    - #### getAlpha

          public int getAlpha()

    - #### getPublicKeyLength

          public int getPublicKeyLength()

    - #### getPrivateKeyLength

          public int getPrivateKeyLength()

    - #### getN

          public int getN()

    - #### getLsq

          public int getLsq()

    - #### getSaltLength

          public int getSaltLength()